package com.docus.server.archive.mapper;


import com.docus.server.archive.entity.TBasic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TBasicMapper {

    /**
     * 根据记帐号查找基础数据
     *
     * @param jzhList 记帐号
     * @return 基础数据
     */
    List<TBasic> getByJzh(@Param("jzhs") List<String> jzhList);

    int insertBatch(@Param("basicList") List<TBasic> basicList);

    int updateBatch(@Param("basicList") List<TBasic> updateList);

    int cancelFileBySource(@Param("source")String source,@Param("patientId") String patientId);
}
